<?php
/**
 * Estatebud Connect
 *
 * @package           EstatebudConnect
 * @author            Estatebud
 * @copyright         Copyright 2025 Estatebud
 * @license           proprietary
 *
 * @wordpress-plugin
 * Plugin Name:       Estatebud Connect
 * Description:       Estatebud Connect is the Official WordPress plugin for Estatebud
 * Version:           1.0-rc25
 * Requires at least: 6.0
 * Tested up to:      6.9
 * Requires PHP:      8.1
 * Author:            Estatebud
 * Author URI:        https://estatebud.com
 * Text Domain:       estatebud-connect
 * License:           proprietary
 * License URI:       license.txt
 */

if (!defined('WPINC')) {
    die();
}

use EstatebudConnect\Plugin;

require_once __DIR__ . '/vendor/autoload.php';

register_activation_hook(__FILE__, [Plugin::class, 'activate']);
register_deactivation_hook(__FILE__, [Plugin::class, 'deactivate']);
register_uninstall_hook(__FILE__, [Plugin::class, 'uninstall']);

try {
    Plugin::init();
} catch (Exception $e) {
    throw $e;
}
